package com.cxyxiaomo.epp.access.dao;

import com.cxyxiaomo.epp.common.pojo.Report;
import com.cxyxiaomo.epp.common.query.ReportQuery;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ReportDao {
    Integer insert(Report report);

    List<Report> getReportListByUserId(Integer userId);

    Report getLatestReportByUserId(Integer userId);

    public List<Report> getReportList(ReportQuery reportQuery);

    public void remove(Integer id);
}
